/* ===============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 * ===============================================================================
 */
/** @file  csl_adtf2Close.c
 *
 *  @path $(CSLPATH)\src\adtf2
 *
 *  @brief File for functional layer of CSL API @a CSL_adtf2Close()
 *
 */
/* ===============================================================================
 *  Revision History
 *  ===============
 *
 *  30-Apr-2008 File Created.
 * ===============================================================================
 */
#include <csl_adtf2.h>


#pragma CODE_SECTION (CSL_adtf2Close, ".text:csl_section:adtf2");

CSL_Status CSL_adtf2Close (
    CSL_Adtf2Handle	hAdtf2
)
{
    CSL_Status	status = CSL_SOK;

    if (hAdtf2 != NULL) {
        hAdtf2->regs = (CSL_Adtf2RegsOvly) NULL;
        hAdtf2->adtf2Num = (CSL_InstNum) -1;
    }
    else {
        status = CSL_ESYS_BADHANDLE;
    }

    return status;
}

