/* ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *                                                                             
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.             
 * ============================================================================
 */ 

/** ============================================================================
 *   @file  csl_cfgClose.c
 *
 *   @path  $(CSLPATH)\src\cfg
 *
 *   @desc  File for functional layer of CSL API CSL_cfgClose()
 *
 */

/* ============================================================================
 * Revision History
 * ===============
 *  11-Apr-2005 Brn updated the file for doxygen compatibiliy
 *  31-Jan-2006 ds  Added error checking
 *  08-Sep-2008 Update for Doxygen
 * ============================================================================
 */

#include <csl_cfg.h>

#pragma CODE_SECTION (CSL_cfgClose, ".text:csl_section:cfg");
CSL_Status CSL_cfgClose (
    CSL_CfgHandle   hCfg
)
{
    /* indicate in the CSL global data structure that the peripheral
     * has been unreserved
     */
    
    CSL_Status  status = CSL_SOK;
    
    if (hCfg != NULL) {
        hCfg->regs    = (CSL_CfgRegsOvly) NULL;
        hCfg->cfgNum  = (CSL_InstNum) - 1;
    } 
    else {
        status = CSL_ESYS_BADHANDLE;
    }

    return status;
       
}

