/* ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *                                                                              
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.             
 * ============================================================================
 */
  
/** ============================================================================
 *   @file  csl_cfgGetHwStatus.c
 *
 *   @path  $(CSLPATH)\src\cfg
 *
 *   @desc  File for functional layer of CSL API CSL_cfgGetHwStatus()
 *
 */

/* ============================================================================
 * Revision History
 *  ===============
 *  14-Apr-2005 Brn File Created
 *  08-Sep-2008 Update for Doxygen
 * ============================================================================
 */

#include <csl_cfg.h>
#include <csl_cfgAux.h>

#pragma CODE_SECTION (CSL_cfgGetHwStatus, ".text:csl_section:cfg")
CSL_Status CSL_cfgGetHwStatus (
    CSL_CfgHandle         hCfg,
    CSL_CfgHwStatusQuery  query,
    void                  *response
)
{
    CSL_Status status = CSL_SOK;

    if (hCfg == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }

    else if (response == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }

    else {
        switch (query) {
            case CSL_CFG_QUERY_FAULT_ADDR:
                CSL_cfgGetFaultAddr(hCfg, (Uint32 *)response);
                break;

            case CSL_CFG_QUERY_FAULT_STATUS:
                CSL_cfgGetFaultStat(hCfg, (CSL_CfgFaultStatus *)response);
                break;

            default:
                status = CSL_ESYS_INVQUERY ;
                break;
        }
    }         
    return status;
}
