/* ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *                                                                              
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.             
 * ============================================================================
 */ 

/** ============================================================================
 *   @file  csl_cfgHwControl.c
 *
 *   @path  $(CSLPATH)\src\cfg
 *
 *   @desc  File for functional layer of CSL API CSL_cfgHwControl()
 *
 */

/* =============================================================================
 * Revision History
 * ===============
 * 14-Apr-2005 Brn File Created
 * 08-Sep-2008 Update for Doxygen
 * =============================================================================
 */

#include <csl_cfg.h>
#include <csl_cfgAux.h>

#pragma CODE_SECTION (CSL_cfgHwControl, ".text:csl_section:cfg");
CSL_Status CSL_cfgHwControl(
    CSL_CfgHandle        hCfg,
    CSL_CfgHwControlCmd  cmd,
    void                 *arg
)
{
    CSL_Status status = CSL_SOK;

    if ((cmd == 0) && (hCfg == NULL))
        status = CSL_ESYS_BADHANDLE;
    
    else {
        switch(cmd){
            case CSL_CFG_CMD_CLEAR:
                CSL_cfgCmdClear(hCfg);
                break;

            default:
                status = CSL_ESYS_INVCMD ;
                break;
        }
    }
    return status;
}
