/*  ==============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   =============================================================================
 */
/** ==============================================================================
 *   @file  csl_adtf2GetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_adtf2GetBaseAddress
 *
 */
/*  ==============================================================================
 *  Revision History
 *  ===============
 *  30-Apr-2008  File Created
 *  ==============================================================================
 */
#include <soc.h>
#include <csl_adtf2.h>


#pragma CODE_SECTION (CSL_adtf2GetBaseAddress, ".text:csl_section:adtf2");
CSL_Status CSL_adtf2GetBaseAddress (
    CSL_InstNum             adtf2Num,
    CSL_Adtf2Param          *pAdtf2Param,
    CSL_Adtf2BaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }

    else {
        switch (adtf2Num) {
            case CSL_ADTF2_0:
                pBaseAddress->regs = (CSL_Adtf2RegsOvly)CSL_ADTF2_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_Adtf2RegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

