/*  ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 *   @file  csl_bwmngmtGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_bwmngmtGetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  31-Jan-2006 ds  File Created
 *  09-Aug-2006 NG  Added condition to check the invalid parameter
 *  09-Sep-2008   Update for Doxygen
 *  ============================================================================
 */
#include <soc.h>
#include <csl_bwmngmt.h>


#pragma CODE_SECTION (CSL_bwmngmtGetBaseAddress, ".text:csl_section:bwmngmt");
CSL_Status CSL_bwmngmtGetBaseAddress (
    CSL_InstNum               bwmngmtNum,
    CSL_BwmngmtParam          *pBwmngmtParam,
    CSL_BwmngmtBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (bwmngmtNum) {
            case CSL_BWMNGMT:
                pBaseAddress->regs = (CSL_BwmngmtRegsOvly)CSL_BWMNGMT_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_BwmngmtRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

