/*  ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 *   @file  csl_cfgGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_cfgGetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  31-Jan-2006 ds  File Created.
 *  09-Aug-2006 NG  Added condition to check the invalid parameter
 *  09-Sep-2008   Update for Doxygen
 *
 *  ============================================================================
 */
#include <soc.h>
#include <csl_cfg.h>


#pragma CODE_SECTION (CSL_cfgGetBaseAddress, ".text:csl_section:cfg");
CSL_Status CSL_cfgGetBaseAddress (
    CSL_InstNum             cfgNum,
    CSL_CfgParam            *pCfgParam,
    CSL_CfgBaseAddress      *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (cfgNum) {
            case CSL_MEMPROT_CONFIG:
                pBaseAddress->regs = (CSL_CfgRegsOvly)CSL_MEMPROT_CONFIG_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_CfgRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

