/*  ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */
/** ============================================================================
 *   @file  csl_ddr2GetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_ddr2GetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  12-April-2005 Ramitha Mathew File Created.
 *  25-Jan-2006   SD             Modified the code section start address
 *  09-Aug-2006   NG             Added condition to check the invalid parameter
 *  09-Sep-2008   Update for Doxygen
 *  ============================================================================
 */
#include <soc.h>
#include <csl_ddr2.h>


#pragma CODE_SECTION (CSL_ddr2GetBaseAddress, ".text:csl_section:ddr2");
CSL_Status
    CSL_ddr2GetBaseAddress (
        CSL_InstNum              ddr2Num,
        CSL_Ddr2Param            *pDdr2Param,
        CSL_Ddr2BaseAddress      *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (ddr2Num) {
            case CSL_DDR2:
                pBaseAddress->regs = (CSL_Ddr2RegsOvly)CSL_DDR2_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_Ddr2RegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

