/*  ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */
/** ============================================================================
 *   @file  csl_edma3GetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_edma3ccGetModuleBaseAddr
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  01-Jun-2004 Ruchika Kharwar File Created.
 *  09-Aug-2006 NG              Added condition to check the invalid parameter
 *  09-Sep-2008   Update for Doxygen
 *
 * =============================================================================
 */
#include <soc.h>
#include <csl_edma3.h>

#pragma CODE_SECTION (CSL_edma3ccGetModuleBaseAddr, ".text:csl_section:edma");

CSL_Status CSL_edma3ccGetModuleBaseAddr (
    CSL_InstNum                   edmaNum,
    CSL_Edma3ModuleAttr           *pParam,
    CSL_Edma3ModuleBaseAddress    *pBaseAddress 
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (edmaNum) {
            case CSL_EDMA3:
                pBaseAddress->regs = (CSL_Edma3ccRegsOvly)CSL_EDMA3CC_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_Edma3ccRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
        }
    }
    return (status);
}

