/*  ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */
/** ============================================================================
 *   @file  csl_emifaGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_emifaGetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  13-May-2005 Ramitha Mathew File Created.
 *  25-Jan-2006 SD             Modified the code section start address 
 *  09-Aug-2006 NG             Added condition to check the invalid parameter
 *  09-Sep-2008   Update for Doxygen
 *
 *  ============================================================================
 */
#include <soc.h>
#include <csl_emifa.h>

#pragma CODE_SECTION (CSL_emifaGetBaseAddress, ".text:csl_section:emifa");

CSL_Status CSL_emifaGetBaseAddress (
    CSL_InstNum             emifaNum,
    CSL_EmifaParam          *pEmifaParam,
    CSL_EmifaBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (emifaNum) {
            case CSL_EMIFA:
                pBaseAddress->regs = (CSL_EmifaRegsOvly)CSL_EMIFA_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_EmifaRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

