/*  ===========================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008                 
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */
/** ============================================================================
 *   @file  csl_gpioGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_gpioGetBaseAddress
 *
 */
/*  ===========================================================================
 *  Revision History
 *  ===============
 *  11-Oct-2004 Nsr renamed the local variable "st" as "status" and added the
 *                  - code for validating the input parameters.
 *  04-Sep-2004 Nsr File Created.
 *  09-Sep-2008   Update for Doxygen
 *
 *  ===========================================================================
 */
#include <soc.h>
#include <csl_gpio.h>

#pragma CODE_SECTION (CSL_gpioGetBaseAddress, ".text:csl_section:gpio");
CSL_Status
CSL_gpioGetBaseAddress (
    CSL_InstNum            gpioNum,
    CSL_GpioParam          *pGpioParam,
    CSL_GpioBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch (gpioNum) {
            case CSL_GPIO:
                pBaseAddress->regs = (CSL_GpioRegsOvly)CSL_GPIO_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_GpioRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
        }
    }
    return (status);
}

