/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 *   @file  csl_hpiGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_hpiGetBaseAddress
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 * 28-Jan-2005 asr author File Created.
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
#include <soc.h>
#include <csl_hpi.h>


#pragma CODE_SECTION (CSL_hpiGetBaseAddress, ".text:csl_section:hpi");
CSL_Status CSL_hpiGetBaseAddress (
    CSL_InstNum  		  hpiNum,
    CSL_HpiParam          *pHpiParam,
    CSL_HpiBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (hpiNum) {
            case CSL_HPI:
                pBaseAddress->regs = (CSL_HpiRegsOvly)CSL_HPI_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_HpiRegsOvly)NULL;
                pHpiParam = pHpiParam;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

