/*  ============================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ===========================================================================
 */
/** ============================================================================
 *   @file  csl_i2cGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_i2cGetBaseAddress
 *
 *  @date 28th May, 2004
 *    @author Santosh Narayanan.
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 * 11-oct-2004 Hs updated according to code review comments.
 * 31-aug-2004 Hs File Created.
 * 09-Sept-2008 Updated for Doxygen
 *  ============================================================================
 */
#include <csl_i2c.h>


#pragma CODE_SECTION (CSL_i2cGetBaseAddress, ".text:csl_section:i2c");
CSL_Status CSL_i2cGetBaseAddress (
        CSL_InstNum            i2cNum,
        CSL_I2cParam           *pI2cParam,
        CSL_I2cBaseAddress     *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    /* Added according to review comment 2. */
    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch (i2cNum) {
            case CSL_I2C:
                pBaseAddress->regs = (CSL_I2cRegsOvly)CSL_I2C_0_REGS;
                break;

            default:
                pBaseAddress->regs = NULL;
                status = CSL_ESYS_FAIL;
        }
    }
    return (status);
}

