/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 *   @file  csl_mcbspGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_mcbspGetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  15-Feb-2005 BRN File Created.
 *  09-Aug-2006 NG  Added condition to check the invalid parameter
 *
 *  ============================================================================
 */
#include <soc.h>
#include <csl_mcbsp.h>


#pragma CODE_SECTION (CSL_mcbspGetBaseAddress, ".text:csl_section:mcbsp");
CSL_Status
    CSL_mcbspGetBaseAddress (
        CSL_InstNum             mcbspNum,
        CSL_McbspParam          *pMcbspParam,
        CSL_McbspBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
	}
    else {
        switch (mcbspNum) {
            case CSL_MCBSP_0:
                pBaseAddress->regs = (CSL_McbspRegsOvly)CSL_MCBSP_0_REGS;
                break;

            case CSL_MCBSP_1:
                pBaseAddress->regs = (CSL_McbspRegsOvly)CSL_MCBSP_1_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_McbspRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

