/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *  ============================================================================
 */
/** ============================================================================
 *   @file  csl_pllcGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_pllcGetBaseAddress
 *
 */
/*  ============================================================================
 *  Revision History
 *  ===============
 *  29 Aug 2005 Tej Valecha File Created.
 * 09-Sept-2008 Updated for Doxygen
 *  ============================================================================
 */
#include <soc.h>
#include <csl_pllc.h>

#pragma CODE_SECTION (CSL_pllcGetBaseAddress, ".text:csl_section:pllc");
CSL_Status CSL_pllcGetBaseAddress (
    CSL_InstNum            pllcNum,
    CSL_PllcParam          *pPllcParam,
    CSL_PllcBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch (pllcNum) {
            case CSL_PLLC_1:
                pBaseAddress->regs = (CSL_PllcRegsOvly) CSL_PLLC_1_REGS;
                break;

            case CSL_PLLC_2:
                pBaseAddress->regs = (CSL_PllcRegsOvly) CSL_PLLC_2_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_PllcRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

