/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================
 */
/** ============================================================================
 *   @file  csl_srioGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_srioGetBaseAddress
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  25-Aug-2005 PSK File Created.
 * =============================================================================
 */
#include <soc.h>
#include <csl_srio.h>


#pragma CODE_SECTION (CSL_srioGetBaseAddress, ".text:csl_section:srio");
CSL_Status CSL_srioGetBaseAddress (
    CSL_InstNum 	       srioNum,
    CSL_SrioParam          *pSrioParam,
    CSL_SrioBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch (srioNum) {
            case CSL_SRIO:
                pBaseAddress->regs = (CSL_SrioRegsOvly)CSL_SRIO_0_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_SrioRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

