/*  ============================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ============================================================================
 */
/** ============================================================================
 *   @file  csl_tmrGetBaseAddress.c
 *
 *   @path  $(CSLPATH)\src\common
 *
 *   @desc  CSL Implementation of CSL_tmrGetBaseAddress
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  1-Sept-2004 HMM File Created.
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
#include <soc.h>
#include <csl_tmr.h>

#pragma CODE_SECTION (CSL_tmrGetBaseAddress, ".text:csl_section:tmr");
CSL_Status CSL_tmrGetBaseAddress (
    CSL_InstNum 	      tmrNum,
    CSL_TmrParam          *pTmrParam,
    CSL_TmrBaseAddress    *pBaseAddress
)
{
    CSL_Status status = CSL_SOK;

    if (pBaseAddress == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch (tmrNum) {
            case CSL_TMR_0:
                pBaseAddress->regs = (CSL_TmrRegsOvly)CSL_TMR_0_REGS;
                break;

            case CSL_TMR_1:
                pBaseAddress->regs = (CSL_TmrRegsOvly)CSL_TMR_1_REGS;
                break;

            default:
                pBaseAddress->regs = (CSL_TmrRegsOvly)NULL;
                status = CSL_ESYS_FAIL;
                break;
        }
    }
    return (status);
}

