/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *  ============================================================================
 */

/** 
 *  @file    csl_ddr2Close.c
 *
 *  @brief   File for functional layer of CSL API @a CSL_ddr2Close()
 *
 *  @path    $(CSLPATH)\src\ddr2
 *
 *  @desc
 *    - The @a CSL_ddr2Close() function definition & it's associated functions
 *
 *  Modification 1
 *    - Created on: 10/04/2005
 *    - Reason: created the sources.
 *
 *  @date 10th April, 2005
 *  @author Ramitha Mathew.
 *
 *  08-Sep-2008 Update for Doxygen
 */
#include <csl_ddr2.h>


#pragma CODE_SECTION (CSL_ddr2Close, ".text:csl_section:ddr2");                  
CSL_Status  CSL_ddr2Close (                                                     
    CSL_Ddr2Handle    hDdr2                                                       
)                                                                              
{      
    CSL_Status  status;                                                            
                                                                               
    if (hDdr2 != NULL) {                                                        
        hDdr2->regs    = (CSL_Ddr2RegsOvly)NULL;                                 
        hDdr2->perNum  = (CSL_InstNum)-1;                                       
        status            = CSL_SOK;                                               
    }                                                                          
    else {                                                                     
        status = CSL_ESYS_BADHANDLE;                                               
    }                                                                          
    return status;                                                                 
}

