/*  ===========================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 *  Use of this software is controlled by the terms and conditions found
 *  in the license agreement under which this software has been supplied
 *  provided
 *
 *  ===========================================================================
 */

/** ============================================================================
 *   @file  csl_edcDisable.c
 *
 *   @path  $(CSLPATH)\src\edc
 *
 *   @desc  File for functional layer of CSL API CSL_edcDisable()
 *
 */

/* =============================================================================
 *  Revision History
 *  ===============
 *  08-Jul-2004 Chad Courtney File created.
 *
 *  02-Sept-2005 ds modified.
 *
 *  09-Dec-2005  ds Removed Read access to the write only registers 
 *                  L2EDCMD andL1PEDCMD  
 *  08-Sep-2008 Update for Doxygen
 * =============================================================================
 */
  
#include <csl_edc.h>

#pragma CODE_SECTION (CSL_edcDisable, ".text:csl_section:edc");
CSL_Status  CSL_edcDisable (
    CSL_EdcMem      edcMem
)
{
    CSL_Status status = CSL_SOK;
    
    switch (edcMem) {
        case CSL_EDC_L2:
            ((CSL_EdcRegs*)CSL_EDC_0_REGS)->L2EDCMD = 
                                          CSL_FMKT(EDC_L2EDCMD_LOGICDIS, YES);
            break;
        
        case CSL_EDC_L1P:
            ((CSL_EdcRegs*)CSL_EDC_0_REGS)->L1PEDCMD =
                                         CSL_FMKT(EDC_L1PEDCMD_LOGICDIS, YES);
            break;
        
        default:
            status = CSL_ESYS_INVPARAMS;         
    }
    
    return status;  
}
