/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
 
/** ============================================================================
 *   @file  csl_edma3GetHwChannelStatus.c
 *
 *   @path  $(CSLPATH)\src\edma
 *
 *   @desc  File for functional layer of CSL API CSL_edma3GetHwChannelStatus()
 *
 */
 
/* =============================================================================
 * Revision History
 * ================
 * 02-May-2008 New file created
 * 08-Sep-2008 Update for Doxygen
 * =============================================================================
 */


#include <csl_edma3.h>
#include <csl_edma3Aux.h>


#pragma CODE_SECTION (CSL_edma3GetHwChannelStatus, ".text:csl_section:edma3");
CSL_Status  CSL_edma3GetHwChannelStatus (
    CSL_Edma3ChannelHandle             hEdma,
    CSL_Edma3HwChannelStatusQuery      myQuery,
    void                               *response
)
{
    CSL_Status status = CSL_SOK;
    
    if (hEdma == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }
    else if (response == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        switch(myQuery) {
            case CSL_EDMA3_QUERY_CHANNEL_STATUS:    
                status = CSL_Edma3GetChannelStatus(hEdma,(Bool*)response);
                break;
                
            case CSL_EDMA3_QUERY_CHANNEL_ERR:     
                status = CSL_Edma3GetChannelErrStatus(hEdma, \
                                               (CSL_Edma3ChannelErr*)response);
                break;
                
            default:
                status = CSL_ESYS_INVQUERY;
                break;
        }
    }

    return (status);
}

