/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *  ============================================================================
 */
/** ============================================================================
 *  @file    csl_emifaClose.c
 *
 *  @path    $(CSLPATH)\src\emifa
 *
 *  @desc    File for functional layer of CSL API @a CSL_emifaClose()
 *           - The @a CSL_emifaClose() function definition & it's associated 
 *             functions
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  10-May-2005 RM  File Created.
 *  
 *  09-Sep-2005 NG  Updation according to coding guidelines
 *  08-Sep-2008 Update for Doxygen
 *  
 * =============================================================================
 */
#include <csl_emifa.h>


#pragma CODE_SECTION (CSL_emifaClose, ".text:csl_section:emifa");                  
CSL_Status  CSL_emifaClose (
   CSL_EmifaHandle    hEmifa
)
{      
    CSL_Status  status = CSL_SOK;

    if (hEmifa != NULL) {
        hEmifa->regs = (CSL_EmifaRegsOvly)NULL;
        hEmifa->perNum = (CSL_InstNum)-1;
    }                                                                          
    else {
        status = CSL_ESYS_BADHANDLE;
    }
    
    return (status); 
}

