/* ==========================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 * Use of this software is controlled by the terms and conditions found
 * in the license agreement under which this software has been supplied
 * provided
 * ==========================================================================
*/

/** ===========================================================================
 *  @file csl_gpioClose.c
 *
 *  @path $(CSLPATH)\src\gpio
 * 
 *  @desc File for functional layer of CSL API CSL_gpioClose()
 * ============================================================================
 */

/* ============================================================================
 * Revision History
 * ===============
 *  10-Jun_2004 PGR file created
 *  07-Sep-2004 Nsr Updated function and documentation for CSL_gpioclose.
 *                  - Removed the include file, csl_resource.h.
 *  11-Oct-2004 Nsr renamed the local variable "st" as "status"
 *  28-Jul-2005 PSK Updated CSL source to support only ONE BANK.
 *                 bank "index" is removed.
 *  06-Mar-2006 ds  Updated the documentation
 *  08-Sep-2008 Update for Doxygen
 * ============================================================================
 */

#include <csl_gpio.h>        

#pragma CODE_SECTION (CSL_gpioClose, ".text:csl_section:gpio");
CSL_Status CSL_gpioClose (
    CSL_GpioHandle hGpio
)
{
    /* Indicate in the CSL global hGpio structure that the peripheral
     * has been unreserved   */
    CSL_Status  status = CSL_SOK;
    
    if (hGpio != NULL) {
        hGpio->regs = (CSL_GpioRegsOvly)NULL;
        hGpio->gpioNum = (CSL_InstNum)-1;
    }
    else {
        status = CSL_ESYS_BADHANDLE;
    }
    return status;
}
