/* ==========================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 * Use of this software is controlled by the terms and conditions found
 * in the license agreement under which this software has been supplied
 * provided
 * ==========================================================================
*/

/** ========================================================================== 
 *  @file csl_gpioGetHwStatus.c
 *  
 *  @Path $(CSLPATH)\src\gpio
 *  
 *  @desc File for functional layer of CSL API CSL_gpioGetHwStatus() 
 * ============================================================================ 
 */
 
/* ===========================================================================
 * Revision History
 * ===============
 *  11-Jun-2004 PGR file created
 *  04-Sep-2004 Nsr Updated the source csl_gpioGetHwStatus.c for the new CSL 
 *                 format.
 *  08-Sep-2008 Update for Doxygen
 * ============================================================================
 */
 
#include <csl_gpio.h>
#include <csl_gpioAux.h>

#pragma CODE_SECTION (CSL_gpioGetHwStatus, ".text:csl_section:gpio");
CSL_Status CSL_gpioGetHwStatus (
    CSL_GpioHandle        hGpio,
    CSL_GpioHwStatusQuery query, 
    void                  *response
)
{
    CSL_Status status = CSL_SOK;
    
    if (hGpio == NULL) {
        status = CSL_ESYS_BADHANDLE; 
    }

    else if (response == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }

    else {
        switch (query) {            
            case CSL_GPIO_QUERY_BINTEN_STAT:
                CSL_gpioGetBintenStat(hGpio, response);
                break;    

            default:
                status = CSL_ESYS_INVQUERY;
                break;
        }
    }
    return status;
}
