/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** 
 *  @file    csl_hpiClose.c
 *
 *  @path    $(CSLPATH)\src\hpi
 *
 *  @brief   File for functional layer of CSL API @a CSL_hpiClose()
 *
 */

/* =============================================================================
 *  Revision History
 *  ===============
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */

#include <csl_hpi.h>

#pragma CODE_SECTION (CSL_hpiClose, ".text:csl_section:hpi");
CSL_Status  CSL_hpiClose (
    CSL_HpiHandle    hHpi
)
{
    CSL_Status status = CSL_SOK;
    
    if (hHpi != NULL) {
        hHpi->regs = (CSL_HpiRegsOvly)NULL;
        hHpi->hpiNum  = (CSL_InstNum)-1;
    } 
    else {
        status = CSL_ESYS_BADHANDLE;
    }
    return status;
}

