/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ===========================================================================
 */

/* =============================================================================
 *  Revision History
 *  ================
 * 06-Feb-2006 ds  Removed CSL_HPI_QUERY_PID_REV, CSL_HPI_QUERY_PID_TYPE and
 *                  CSL_HPI_QUERY_PID_CLASS from the CSL_HpiHwStatusQuery
 * 26-Mar-2008 Read HPIC register values as 32 bits instead of enum in CSL_HpiHwSetup
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */

/** @file  csl_hpiGetHwSetup.c
 *
 *  Path: \\(CSLPATH)\\ipmodules\\hpi\\src
 *
 *  @brief File for functional layer of CSL API @a CSL_hpiGetHwSetup()
 *
 */
#include <csl_hpi.h>

#pragma CODE_SECTION (CSL_hpiGetHwSetup, ".text:csl_section:hpi");
CSL_Status  CSL_hpiGetHwSetup (
    CSL_HpiHandle     hHpi,
    CSL_HpiHwSetup    *hwSetup
)
{
    CSL_HpiRegsOvly hpiRegs;

    if (hHpi == NULL) {
        return CSL_ESYS_BADHANDLE;
    }

    if (hwSetup == NULL) {
        return CSL_ESYS_INVPARAMS;
    }
    hpiRegs = hHpi->regs;
    hwSetup->hpiCtrl				= hpiRegs->HPIC;
    hwSetup->hpiAddr.hpiaWrtAddr	= hpiRegs->HPIAW;
    hwSetup->hpiAddr.hpiaReadAddr	= hpiRegs->HPIAR;

    return CSL_SOK;
}

