/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** 
 *  @file    csl_hpiHwSetup.c
 *
 *  @path    $(CSLPATH)\src\hpi
 *
 *  @brief   File for functional layer of CSL API @a CSL_hpiHwSetup()
 *
 */
#include <csl_hpi.h>

/* =============================================================================
 *  Revision History
 *  ===============
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */

#pragma CODE_SECTION (CSL_hpiHwSetup, ".text:csl_section:hpi"); 
CSL_Status  CSL_hpiHwSetup (
    CSL_HpiHandle     hHpi,
    CSL_HpiHwSetup    *hwSetup
)
{   
    CSL_Status status = CSL_SOK;
    CSL_HpiRegsOvly hpiRegs;
    
    if (hHpi == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }
    else if (hwSetup == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
		    hpiRegs = hHpi->regs;
        /* Configure the Control Register */
        hpiRegs->HPIC = hwSetup->hpiCtrl;
    }
    return (status);
}

