/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** 
 *  @file    csl_hpiHwSetupRaw.c
 *
 *  @path    $(CSLPATH)\src\hpi
 *
 *  @brief   File for functional layer of CSL API @a CSL_hpiHwSetupRaw()
 *
 */
/* =============================================================================
 *  Revision History
 *  ================
 * 14-May-2008 Removed HPIA registers configuration since CPU cannot write to it.
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
#include <csl_hpi.h>

#pragma CODE_SECTION (CSL_hpiHwSetupRaw, ".text:csl_section:hpi");
CSL_Status CSL_hpiHwSetupRaw (
    CSL_HpiHandle    hHpi,
    CSL_HpiConfig    *config
)
{
    CSL_Status status = CSL_SOK;
    
    if (hHpi == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }
    else if (config == NULL ) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        hHpi->regs->PWREMU_MGMT = config->PWREMU_MGMT; 
        hHpi->regs->HPIC = config->HPIC;       
    }
    return (status);
}

