/* ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007, 2008
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */
/** ============================================================================
 *  @file csl_i2cWrite.c
 *
 *  @brief File for functional layer of CSL API @a CSL_i2cWrite()
 *
 *  @path  $(CSLPATH)\i2c\src
 *
 *  Description
 *    - The @a CSL_i2cWrite() function definition & it's associated functions
 *
 *  Modification 1
 *    - Created on: 28/5/2004
 *    - Reason: created the sources
 *
 *  @date 28th May, 2004
 *  @author Santosh Narayanan.
 *  ============================================================================
 */
/* ============================================================================
 *  Revision History
 *  ===============
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */

#include <csl_i2c.h>


#pragma CODE_SECTION (CSL_i2cWrite, ".text:csl_section:i2c");
CSL_Status CSL_i2cWrite (
    CSL_I2cHandle    hI2c,
    void             *buf
)
{
    CSL_Status status = CSL_SOK;
    
    if (hI2c == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }
    else if (buf == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }
    else {
        hI2c->regs->ICDXR = (hI2c->regs->ICDXR & 0xFF00) |
                            (CSL_FMK(I2C_ICDXR_D,*(Uint8 *)buf));
    }
    return (status);
}

