/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */

/*  ============================================================================
 *   @file  _csl_mcbspResetCtrl.c
 *
 *   @path  $(CSLPATH)\src\mcbsp
 *
 *   @desc  File for functional layer of CSL API _CSL_mcbspResetCtrl()
 *
 */

/* =============================================================================
 * Revision History
 * ================
 *  June 29,2004 Pratheesh Gangadhar - Created
 *
 * =============================================================================
 */

#include <csl_mcbsp.h>
#include <_csl_mcbsp.h>



#pragma CODE_SECTION (_CSL_mcbspResetCtrl, ".text:csl_section:mcbsp");
void  _CSL_mcbspResetCtrl (
    CSL_McbspHandle     hMcbsp,
    CSL_BitMask16       selectMask
)
{
    CSL_McbspRegsOvly mcbspRegs = hMcbsp->regs;

    if(selectMask & CSL_MCBSP_CTRL_FSYNC_ENABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_FRST, 1);

    if(selectMask & CSL_MCBSP_CTRL_SRG_ENABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_GRST, 1);

    if(selectMask & CSL_MCBSP_CTRL_FSYNC_DISABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_FRST, 0);

    if(selectMask & CSL_MCBSP_CTRL_SRG_DISABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_GRST, 0);

    if(selectMask & CSL_MCBSP_CTRL_RX_ENABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_RRST, 1);

    if(selectMask & CSL_MCBSP_CTRL_TX_ENABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_XRST, 1);

    if(selectMask & CSL_MCBSP_CTRL_RX_DISABLE)
        CSL_FINS( mcbspRegs->SPCR, MCBSP_SPCR_RRST, 0);

    if(selectMask & CSL_MCBSP_CTRL_TX_DISABLE)
        CSL_FINS(mcbspRegs->SPCR, MCBSP_SPCR_XRST, 0);

}

