/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *   Use of this software is controlled by the terms and conditions found in the
 *   license agreement under which this software has been supplied.
 *   ===========================================================================
 */

/** ============================================================================
 *   @file  csl_mcbspIoRead.c
 *
 *   @path  $(CSLPATH)\src\mcbsp
 *
 *   @desc  File for functional layer of CSL API CSL_mcbspIoRead()
 *
 */

/* =============================================================================
 * Revision History
 * ================
 *  June 29,2004 Pratheesh Gangadhar - Created
 *
 * =============================================================================
 */

#include <csl_mcbsp.h>


#pragma CODE_SECTION (CSL_mcbspIoRead, ".text:csl_section:mcbsp");
Uint16  CSL_mcbspIoRead (
    CSL_McbspHandle     hMcbsp,
    CSL_BitMask16       inputSel
)
{
    Uint16      ret_value = 0;

    if(inputSel & CSL_MCBSP_IO_CLKX) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_CLKXP))
            ret_value |= CSL_MCBSP_IO_CLKX;
    }

    if(inputSel & CSL_MCBSP_IO_FSX) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_FSXP))
            ret_value |= CSL_MCBSP_IO_FSX;
    }

    if(inputSel & CSL_MCBSP_IO_CLKR) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_CLKRP))
            ret_value |= CSL_MCBSP_IO_CLKR;
    }

    if(inputSel & CSL_MCBSP_IO_FSR) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_FSRP))
            ret_value |= CSL_MCBSP_IO_FSR;
    }

    if(inputSel & CSL_MCBSP_IO_DR) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_DRSTAT))
            ret_value |= CSL_MCBSP_IO_DR;
    }

    if(inputSel & CSL_MCBSP_IO_CLKS) {
        if( CSL_FEXT( hMcbsp->regs->PCR, MCBSP_PCR_CLKSSTAT))
            ret_value |= CSL_MCBSP_IO_CLKS;
    }

    return( ret_value );
}
