/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005                 
 *                                                                              
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.             
 * ============================================================================
 */ 


/** ============================================================================
 *   @file  csl_memprotGetHwSetup.c
 *
 *   @path  $(CSLPATH)\src\memprot
 *
 *   @desc  File for functional layer of CSL API CSL_memprotGetHwSetup ()
 *
 */

/* =============================================================================
 * Revision History
 * ===============
 * 16-Jul-2004  Ruchika Kharwar File Created
 * 16-Nov-2005  ds              Updated the documentation
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
 
#include <csl_memprot.h>

#pragma CODE_SECTION (CSL_memprotGetHwSetup, ".text:csl_section:memprot")
CSL_Status CSL_memprotGetHwSetup (
    CSL_MemprotHandle   hMemprot,
    CSL_MemprotHwSetup  *setup
)
{
    CSL_Status  status = CSL_SOK;
    Uint16  i;
    
    if (hMemprot == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }
    
    else if (setup == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }

    else {
        for (i = 0; i < setup->numPages; i++) {
            setup->memPageAttr[i] = hMemprot->regs->MPPA[i];
        }    
    }        
    return (status);
}

