/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================
 */

/** ============================================================================
 *   @file  csl_pwrdwnClose.c
 *
 *   @path  $(CSLPATH)\src\pwrdwn
 *
 *   @desc  File for functional layer of CSL API CSL_pwrdwnClose ()
 *
 */
 
/* =============================================================================
 * Revision History
 * ===============
 *  16-Jul-2004 Ruchika Kharwar File Created
 *  01-Feb-2006 ds  Added error checking
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
 
#include <csl_pwrdwn.h>

#pragma CODE_SECTION (CSL_pwrdwnClose, ".text:csl_section:pwrdwn");
CSL_Status CSL_pwrdwnClose (
    CSL_PwrdwnHandle hPwrdwn
)
{   CSL_Status     status = CSL_SOK;
    
    /* Indicate in the CSL global data structure that the peripheral
     * has been unreserved   */
    if (hPwrdwn != NULL) {
        hPwrdwn->l2pwrdwnRegs = (CSL_L2pwrdwnRegsOvly) NULL;
        hPwrdwn->pdcRegs      = (CSL_PdcRegsOvly) NULL;
        hPwrdwn->instNum      = (CSL_InstNum) - 1;
    } 
    else {
        status = CSL_ESYS_BADHANDLE;
    }             
    return status;
}

