/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================
 */

/** ============================================================================
 *   @file  csl_pwrdwnHwSetup.c
 *
 *   @path  $(CSLPATH)\src\pwrdwn
 *
 *   @desc  File for functional layer of CSL API CSL_pwrdwnHwSetup ()
 *
 */
 
/* =============================================================================
 * Revision History
 * ================
 * 16-Jul-2004  Ruchika Kharwar File Created
 * 23-Apr-2008 Removed L2 PWRDWN.
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
 
#include <csl_pwrdwn.h>

#pragma CODE_SECTION (CSL_pwrdwnHwSetup, ".text:csl_section:pwrdwn");
CSL_Status CSL_pwrdwnHwSetup (
    CSL_PwrdwnHandle    hPwrdwn,
    CSL_PwrdwnHwSetup   *setup
)
{
    /* This is a pointer to the registers of the instance of L2 PWRDWN
     *  referred to by this object
     */
    CSL_Status status = CSL_SOK;

    if (hPwrdwn == NULL) {
        return CSL_ESYS_BADHANDLE;
    }

    else if (setup == NULL) {
        return CSL_ESYS_INVPARAMS;
    }

    else {
            CSL_FINS(hPwrdwn->pdcRegs->PDCCMD, PDC_PDCCMD_MEGPD, setup->idlePwrdwn); 

#if 0 /* PowerDown ois not supported for L2 */
            if (setup->manualPwrdwn) {
                hPwrdwn->l2pwrdwnRegs->L2PDWAKE[0] = 
                                                setup->manualPwrdwn->port0PageWake;
                hPwrdwn->l2pwrdwnRegs->L2PDWAKE[1] = 
                                                setup->manualPwrdwn->port1PageWake;
                hPwrdwn->l2pwrdwnRegs->L2PDSLEEP[0] = 
                                                setup->manualPwrdwn->port0PageSleep;
                hPwrdwn->l2pwrdwnRegs->L2PDSLEEP[1] = 
                                                setup->manualPwrdwn->port1PageSleep;
            }
#endif
    }
    return status;
}
