/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2008
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================
 */

/** ============================================================================
 *   @file  csl_pwrdwnHwSetupRaw.c
 *
 *   @path  $(CSLPATH)\src\pwrdwn
 *
 *   @desc  File for functional layer of CSL API CSL_pwrdwnHwSetupRaw ()
 *
 */
 
/* =============================================================================
 * Revision History
 * ================
 * 16-Jul-2004  Ruchika Kharwar File Created
 * 23-Apr-2008 Removed L2 PWRDWN.
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
 
#include <csl_pwrdwn.h>

#pragma CODE_SECTION (CSL_pwrdwnHwSetupRaw, ".text:csl_section:pwrdwn");
CSL_Status  CSL_pwrdwnHwSetupRaw (
    CSL_PwrdwnHandle    hPwrdwn,
    CSL_PwrdwnConfig    *config
)
{
    CSL_Status status = CSL_SOK;

    if (hPwrdwn == NULL) {
        status = CSL_ESYS_BADHANDLE;
    }              
    else if (config == NULL) {
        status = CSL_ESYS_INVPARAMS;
    }              
    else {
        hPwrdwn->pdcRegs->PDCCMD = config->PDCCMD;

#if 0 /* PowerDown is not supported for L2 */
        hPwrdwn->l2pwrdwnRegs->L2PDWAKE[0] = config->L2PDWAKE0;
        hPwrdwn->l2pwrdwnRegs->L2PDWAKE[1] = config->L2PDWAKE1;

        hPwrdwn->l2pwrdwnRegs->L2PDSLEEP[0] = config->L2PDSLEEP0;
        hPwrdwn->l2pwrdwnRegs->L2PDSLEEP[1] = config->L2PDSLEEP1;
#endif
    }   
    return status;
}

