/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================
 */
/** ===========================================================================
 * @file csl_srioClose.c
 *
 * @brief File for functional layer of CSL API CSL_srioClose()
 *
 * @path $(CSLPATH)\srio\src
 *
 * @desc The CSL_srioClose() function definition and it's associated functions
 * ============================================================================
 */
/* ============================================================================
 * Revision History
 * ===============
 * 25-Aug-2005 PSK File Created.
 * ============================================================================
 */
#include <csl_srio.h>


#pragma CODE_SECTION (CSL_srioClose, ".text:csl_section:srio");
CSL_Status CSL_srioClose (
    CSL_SrioHandle hSrio
)
{
    CSL_Status status = CSL_SOK;

    if (hSrio != NULL) {
        hSrio->regs = (CSL_SrioRegsOvly)NULL;
        hSrio->perNum = (CSL_InstNum)-1;
    }
    else {
        status = CSL_ESYS_BADHANDLE;
    }
    return (status);
}

