/*  ===========================================================================
 *   Copyright (c) Texas Instruments Inc 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *   ==========================================================================
 */
/** @file  csl_tetbClose.c
 *
 *  @path $(CSLPATH)\tetb\src
 *
 *  @brief File for functional layer of CSL API @a CSL_tetbClose()
 *
 */
/* ============================================================================
 * Revision History
 * ================
 * 24-Apr-2008 File Created.           
 * 09-Sept-2008 Updated for Doxyge n
 * ============================================================================
 */

#include <csl_tetb.h>


#pragma CODE_SECTION (CSL_tetbClose, ".text:csl_section:tetb");

CSL_Status CSL_tetbClose (
    CSL_TetbHandle	hTetb
)
{
    CSL_Status	status = CSL_SOK;

    if (hTetb != NULL) 
	{
        hTetb->regs = (CSL_TetbRegsOvly) NULL;
        hTetb->tetbNum = (CSL_InstNum) -1;
    }
    else 
        status = CSL_ESYS_BADHANDLE;

    return (status);
}

