/* =============================================================================
 *   Copyright (c) Texas Instruments Inc 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 * =============================================================================
 */ 
/** ============================================================================
 *   @file  csl_tetbRead.c
 *
 *   @path  $(CSLPATH)\tetb\src
 *
 *   @desc  File for functional layer of CSL API @a CSL_tetbRead()
 *
 */
/* =============================================================================
 * Revision History
 * ===============
 * 24-Apr-2008 File Created 
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
#include <csl_tetb.h>

#pragma CODE_SECTION (CSL_tetbRead, ".text:csl_section:tetb");

CSL_Status CSL_tetbRead (
    CSL_TetbHandle    hTetb,
    void*            rdData
)
{	
    CSL_Status  status = CSL_SOK;

	if (hTetb == NULL)
		status = CSL_ESYS_BADHANDLE;
	else
	    *((Uint32 *)rdData) = (CSL_FEXT(hTetb->regs->RRD, TETB_RRD_RRD));
	 
	return (status);
}                          

