/* =============================================================================
 *   Copyright (c) Texas Instruments Inc 2008
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 * =============================================================================
 */ 
/** ============================================================================
 *   @file  csl_tetbWrite.c
 *
 *   @path  $(CSLPATH)\tetb\src
 *
 *   @desc  File for functional layer of CSL API @a CSL_tetbWrite()
 *
 */
/* =============================================================================
 * Revision History
 * ===============
 * 24-Apr-2008 NG  Author File Created 
 * 09-Sept-2008 Updated for Doxygen
 * =============================================================================
 */
#include <csl_tetb.h>


#pragma CODE_SECTION (CSL_tetbWrite, ".text:csl_section:tetb");

CSL_Status CSL_tetbWrite ( 
    CSL_TetbHandle    hTetb,
    void             *wrData
)
{   
    CSL_Status  status = CSL_SOK;
    
    if (hTetb == NULL)
		status = CSL_ESYS_BADHANDLE;
	else if (wrData == NULL)
        status = CSL_ESYS_INVPARAMS;
    else
        CSL_FINS(hTetb->regs->RWD, TETB_RWD_RWD, *(Uint32 *)wrData);
	return (status);
}

