/* ============================================================================
 * Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005, 2006, 2007
 *
 * Use of this software is controlled by the terms and conditions found in the
 * license agreement under which this software has been supplied.
 * ============================================================================ 
 */

/** =========================================================================== 
 * @file csl_tmrClose.c
 *
 * @brief File for functional layer of CSL API CSL_tmrClose() 
 * 
 * @path $(CSLPATH)\src\timer
 *
 * @desc The CSL_tmrClose() function definition & it's associated
 *       functions
 * ============================================================================      
 */

/* ============================================================================
 * Revision History
 * ===============
 * 1-Sept-2004 HMM File Created.
 * 09-Sept-2008 Updated for Doxygen
 * ============================================================================
 */

#include <csl_tmr.h>


#pragma CODE_SECTION (CSL_tmrClose, ".text:csl_section:tmr");
CSL_Status CSL_tmrClose (
    CSL_TmrHandle hTmr
)
{
    CSL_Status st;

    if (hTmr != NULL) {
        hTmr->regs = (CSL_TmrRegsOvly)NULL;
        hTmr->tmrNum = (CSL_InstNum)-1;
      
        st = CSL_SOK;
    } 
    else {
        st = CSL_ESYS_BADHANDLE;
    }

    return st;
}

