################  c64xx+ compiler and options ##########################
debug_CC=cl6x
ifeq ($(ABI),elf)
debug_CC_OPTS= -mv6400+ --abi=elfabi --strip_coff_underscore -mo --mem_model:data=far -pdr -pdv -q -k -g -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
else
debug_CC_OPTS= -mv6400+ -mo --mem_model:data=far -pdr -pdv -q -k -g -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
endif
debug_ASM=cl6x
ifeq ($(ABI),elf)
debug_ASM_OPTS= -mv6400+ --abi=elfabi --strip_coff_underscore -pdr -pdv -q -g -mo --mem_model:data=far -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
else
debug_ASM_OPTS= -mv6400+ -pdr -pdv -q -g -mo --mem_model:data=far -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
endif
debug_AR= ar6x
debug_AR_OPTS= r 
debug_LNK= lnk6x 
debug_LNK_OPTS= -q -c -w -x 

# Coverity intercept
COVINT=no
BASECC      = cl6x
ifneq ($(findstring $(COVINT),yesYES),)
TEMP_CC          = $(PERL) $(CSL3X_ROOT_DIR)\csl_$(TARGET)_src\coverity\intercept.pl $(CSL3X_ROOT_DIR)\csl_$(TARGET)_src\coverity\coverity C6X_C_DIR $(BASECC)
else
TEMP_CC          = $(BASECC)
endif

release_CC=$(TEMP_CC)
ifeq ($(ABI),elf)
release_CC_OPTS= -mv6400+ --abi=elfabi --strip_coff_underscore -mo --mem_model:data=far -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
else
release_CC_OPTS= -mv6400+ -mo --mem_model:data=far -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR) -D$(C64XX_DERIVATIVE)
endif
release_ASM=cl6x
ifeq ($(ABI),elf)
release_ASM_OPTS= -mv6400+ --abi=elfabi --strip_coff_underscore -mo --mem_model:data=far -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
else
release_ASM_OPTS= -mv6400+ --abi=elfabi --strip_coff_underscore -mo --mem_model:data=far -o3 -q -k -eo.o -fr$(MODULE_OBJ_DIR) -fs$(MODULE_OBJ_DIR) $(INC_DIR)
endif
release_AR= ar6x
release_AR_OPTS= r 
release_LNK= lnk6x
release_LNK_OPTS= -q -c -w -x 

ifeq ($(ABI), elf)
LIB_NAME=csl_$(C64XX_DERIVATIVE)_elf
INTC_LIB=csl_c64xplus_intc_elf.lib
RTS_LIB= rts64plus_elf.lib
else
LIB_NAME=csl_$(C64XX_DERIVATIVE)
INTC_LIB=csl_c64xplus_intc.lib
RTS_LIB= rts64plus.lib
endif
CSL_LIB=$(LIB_NAME).lib

CSL_LIB_DIR= $(CSL3X_ROOT_DIR)
RTS_LIB_DIR= $(TI_DIR)\lib


################ OS specific stuff ##########################
OSYS = WIN
WIN_RM_CMD=@erase /Q
WIN_COPY=copy
UNIX_RM_CMD=-\rm
UNIX_COPY=\cp

############  Generic #################

CC= $($(BUILD)_CC)
CC_OPTS= $($(BUILD)_CC_OPTS)
ASM= $($(BUILD)_ASM)
ASM_OPTS= $($(BUILD)_ASM_OPTS)
AR= $($(BUILD)_AR)
AR_OPTS= $($(BUILD)_AR_OPTS)
LNK= $($(BUILD)_LNK)
LNK_OPTS= $($(BUILD)_LNK_OPTS)
COPY= -@$($(OSYS)_COPY)
SRC_OPT= $($(BUILD)_SRC_OPT)

ifeq ($(BIG_ENDIAN), 1)
CC_OPTS += -me
ASM_OPTS += -me

ifeq ($(ABI), elf)
LIB_NAME=csl_$(C64XX_DERIVATIVE)e_elf
INTC_LIB=csl_c64xplus_intce_elf.lib
RTS_LIB= rts64pluse_elf.lib
else
LIB_NAME=csl_$(C64XX_DERIVATIVE)e
INTC_LIB=csl_c64xplus_intce.lib
RTS_LIB= rts64pluse.lib
endif

CSL_LIB=$(LIB_NAME).lib
endif


LIB= $(CSL_LIB_DIR)\$(CSL_LIB) $(RTS_LIB_DIR)\$(RTS_LIB) $(CSL_LIB_DIR)\$(INTC_LIB)

RM_CMD= $($(OSYS)_RM_CMD)
